#include "grbc/ext_easy.h"
#include "grbc/ext.h"
#include "grbc/spec.h"

void grbc_easy_init(sol::state &lua) {
  TaskConfig clean_task_cfg{};
  clean_task_cfg.name = "Clean build";
  clean_task_cfg.task_id = "clean";
  clean_task_cfg.shell_script = "ninja -t clean";

  grbc_task(clean_task_cfg);

  TaskConfig compdb_task_cfg{};
  compdb_task_cfg.name = "Compilation database (clangd)";
  compdb_task_cfg.task_id = "compdb";
  compdb_task_cfg.shell_script = "rm -f compile_commands.json; ninja -t compdb >> compile_commands.json";

  grbc_task(compdb_task_cfg);
}

Extension grbc_easy() {
  Extension ext{};
  ext.name = GRBC_EXT_easy_NAME;
  ext.hook_init = grbc_easy_init;

  return ext;
}